# pymrm: Python Package for Multiphase Reactor Modeling

## Overview

Welcome to pymrm, a Python package designed for creating phenomenological models of multiphase reactors. Developed within the ambit of the Multiphase Reactor Modeling course at Eindhoven University of Technology, this package finds its roots in the Department of Chemical Engineering and Chemistry taught by Martin van Sint Annaland and Frank Peters. Originally implemented in Matlab, pymrm stands today as a port to Python, signifying a step forward in accessibility and open access.

## Getting Started

To get a comprehensive understanding of pymrm's capabilities, we recommend exploring the included Jupyter notebook. This notebook is packed with examples that demonstrate the application of the package in the realm of chemical engineering.

### Features

- Comprehensive set of functions for modeling multiphase reactors
- User-friendly interface tailored for both students and professionals
- Extensive documentation and example-based learning

### How to Install

pip install pymrm

### Quickstart Guide

Start implementing 1D reaction-diffusion equations, proceed to convection, different phases, mass transfer, etc. The Python notebook: pymrm_examples.ipynb provides examples that are useful to get you started.

### Contributing

We welcome contributions from the community. If you're interested in enhancing pymrm or have suggestions, please contact us.